# CommandAlias (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands.annotation, annotation type: CommandAlias

Package co.aikar.commands.annotation

# Annotation Type CommandAlias

@Retention(RUNTIME) @Target({METHOD,TYPE,ANNOTATION_TYPE}) public @interface CommandAlias
Allows to add a single or several command alias(es). In order to add more than one in a single go, use the syntax "alias|otheralias". You can register as many aliases as wanted in a single value. Used on a Class, defines the root command for all subcommands in the base command. Used on a method, defines a root command alias to that specific command

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`

## Element Details

### value

String value